<div class="card">

    <div class="card-header d-flex justify-content-center">

        <h2 class="card-title fw-bold text-center">Générer un texte</h2>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-12 col-sm-8 col-md-6 col-lg-12 px-xl-2 mx-auto">

                <form class="auth-login-form mt-2" [formGroup]="form">
                    <div class="mb-1">
                        <label class="form-label" for="req">Votre requête</label>
                        <textarea class="form-control" rows="4" id="req" formControlName="req"
                            placeholder="Ecrivez ici..."></textarea>
                    </div>
                    <div class="d-flex justify-content-center">
                        <app-gen-button (genClick)="submit()" [text]="'Envoyer'" [customClass]="'w-100'"
                            [disabled]="!form.valid" [isLoading]="isLoading"></app-gen-button>
                    </div>
                    <div class="mb-1">
                        <label class="form-label" for="resp">La réponse</label>
                        <textarea class="form-control" id="resp" formControlName="resp" #resp
                            [style]="{height: resp.scrollHeight+'px', minHeight: '30px'}"></textarea>
                    </div>




                    <input type="submit" hidden>

                </form>
            </div>

        </div>

    </div>

</div>